%define upstream_name    AnyEvent-XMPP
%define upstream_version 0.54

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Low level TCP/TLS connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::Handle)
BuildRequires: perl(AnyEvent::Socket)
BuildRequires: perl(Authen::SASL)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::LibIDN)
BuildRequires: perl(Net::SSLeay) >= 1.330.0
BuildRequires: perl(Object::Event) >= 0.700.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(XML::Writer)
BuildArch:  noarch

%description
This is the head module of the the AnyEvent::XMPP manpage XMPP client
protocol (as described in RFC 3920 and RFC 3921) framework.

the AnyEvent::XMPP::Connection manpage is a RFC 3920 conforming "XML"
stream implementation for clients, which handles TCP connect up to the
resource binding. And provides low level access to the XML nodes on the XML
stream along with some high level methods to send the predefined XML
stanzas.

the AnyEvent::XMPP::IM::Connection manpage is a more high level module,
which is derived from the AnyEvent::XMPP::Connection manpage. It handles
all the instant messaging client functionality described in RFC 3921.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTORS Changes META.yml MYMETA.yml README TODO samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-2.mga3
+ Revision: 362934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 341913
- update to 0.54

* Mon Oct 15 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 306062
- update to 0.53

* Wed Oct 10 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 304469
- imported package perl-AnyEvent-XMPP

